Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns the currently playing or most recently scrobbled track from Last.fm.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/listening/now-playing \ --header 'Authorization: Bearer <token>'
{ "is_playing": true, "track": { "name": "Espresso", "artist": { "id": 471, "name": "Sabrina Carpenter", "apple_music_url": "https://music.apple.com/us/artist/sabrina-carpenter/595947033?uo=4" }, "album": { "id": 254, "name": "Short n' Sweet", "image": { "url": "https://cdn.rewind.rest/listening/albums/254/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1", "thumbhash": "HBkKHQi694WIeIiAh3Z3d2eAd4B3", "dominant_color": "#5c4a6d", "accent_color": "#c4a8d4" } }, "url": "https://www.last.fm/music/Sabrina+Carpenter/_/Espresso", "apple_music_url": "https://music.apple.com/us/album/espresso/1745069032?i=1745069234&uo=4", "preview_url": null }, "scrobbled_at": "2026-03-18T22:30:00.000Z" }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Now playing info